<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>
	<!-- div division -->
	<div id="header">
		<h2>HTML Entities</h2>
		<p><em>reserved characters in html (e.g. &lt; or &gt; characters that mix up with HTML code)</em></p>
	</div>

	<div id="body">
		<!-- tx table x -->
		<table border="2">
			<thead>
				<!-- table row -->
				<tr>
					<!-- table head -->
					<th colspan="2">Entity</th>
					<th>Description</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<!-- table body -->
					<td>&lt;</td>
					<td>lt</td>
					<td>less tan</td>
				</tr>
				<tr>
					<td>&gt;</td>
					<td>gt</td>
					<td>greater than</td>
				</tr>
				<tr>
					<td>&#8369;</td>
					<td>#8369</td>
					<td>peso sign</td>
				</tr>
				<tr>
					<td>&amp;</td>
					<td>amp</td>
					<td>ampersand</td>
				</tr>
				<tr>
					<td>&quot;</td>
					<td>quot</td>
					<td>double quotaion mark</td>
				</tr>
				<tr>
					<td>&apos;</td>
					<td>apos</td>
					<td>single quotation mark</td>
				</tr>
				<tr>
					<td>&ntilde;</td>
					<td>nitlde</td>
					<td>lower tilde</td>
				</tr>
				<tr>
					<td>&Ntilde;</td>
					<td>Ntilde</td>
					<td>upper tilde</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td>nbsp</td>
					<td>space</td>
				</tr>
			</tbody>
			<tfoot>
				<tr>
					<th colspan="3"><em>list of html entities</em></th>
				</tr>
			</tfoot>
		</table><br>

		<hr>
		<h2>HTML Forms</h2>
		<p><em>Inputs elements that make up a form.</em></p>
		<!-- form gathers user input -->
		<form action="https://www.youtube.com/">
			<!-- label allows user input -->
			<!-- camel casing -->
			<!-- for connects input with name -->
			<label for="birthDate">Birth Date:</label><br>
			<input type="date" name="birthDate" id="birthDate" required><br><br>
			<label for="age">Age:</label><br>
			<input type="number" name="age" id="age" required><br><br>
			
			<label for="gender">Gender:</label><br>
			<!-- select drop down menu -->
			<select name="gender" id="gender">
				<option>Please Select</option>
				<option>Male</option>
				<option>Female</option>
				<option>Prefer not to say</option>
			</select><br><br>

			<label>New User:</label><br>
			<!-- radio relational button -->
			<input type="radio" name="userType" id="newUser" value="yes">
			<label for="userType">Yes</label><br>
			<input type="radio" name="userType" id="currentUser" value="no">
			<label for="userType">No</label><br><br>

			<label>Role(s):</label><br>
			<label for="role1">Developer</label>
			<input type="checkbox" name="role1" id="role1" value="developer"><br>
			<label for="role1">Student</label>
			<input type="checkbox" name="role2" id="role2" value="developer"><br>
			<label for="role1">Manager</label>
			<input type="checkbox" name="role3" id="role3" value="developer"><br><br>

			<!-- checkbox multiple input || radio singular input -->
			<button type="submit">Submit</button><br><br>
			<button type="reset">Reset</button>
		</form>
	</div>
</body>
</html>